com.ihr.xbrl.om.xdt.errors

## Class XDTDimensionDomainTargetError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ihr.xbrl.om.errors.XBRLRuntimeException
        - - com.ihr.xbrl.om.xdt.errors.XDTRuntimeException
          - - com.ihr.xbrl.om.xdt.errors.XDTDimensionDomainTargetError

- All Implemented Interfaces:
    java.io.Serializable

      public class XDTDimensionDomainTargetError
      extends XDTRuntimeException

  The Class XDTDimensionDomainTargetError.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIMENSION` The Constant DIMENSION.
    `static int` | `HYPERCUBE` The Constant HYPERCUBE.
    `static int` | `OTHER` The Constant OTHER.

    - ### Fields inherited from class com.ihr.xbrl.om.xdt.errors.XDTRuntimeException

      `XBRLDIE, XBRLDTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTDimensionDomainTargetError(XMLFragment item)` Instantiates a new XDT dimension domain target error.
    `XDTDimensionDomainTargetError(XMLFragment item, int elementType)` Instantiates a new XDT dimension domain target error.

  - ### Method Summary

    - ### Methods inherited from class com.ihr.xbrl.om.xdt.errors.XDTRuntimeException

      `getQNameError`

    - ### Methods inherited from class com.ihr.xbrl.om.errors.XBRLRuntimeException

      `getCode, getInconsistency, getSerializationException, getValidationException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DIMENSION

          public static final int DIMENSION

      The Constant DIMENSION.
      See Also:
        Constant Field Values

    - #### HYPERCUBE

          public static final int HYPERCUBE

      The Constant HYPERCUBE.
      See Also:
        Constant Field Values

    - #### OTHER

          public static final int OTHER

      The Constant OTHER.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XDTDimensionDomainTargetError

          public XDTDimensionDomainTargetError(XMLFragment item)

      Instantiates a new XDT dimension domain target error.
      Parameters:
        `item` - the item

    - #### XDTDimensionDomainTargetError

          public XDTDimensionDomainTargetError(XMLFragment item,
                                       int elementType)

      Instantiates a new XDT dimension domain target error.
      Parameters:
        `item` - the item
        `elementType` - the element type